Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597944 - segfault in close_mount()
Summary: segfault in close_mount()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: yanfu,wang
URL:
Whiteboard:
Depends On: 576775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 04:20 UTC by Ian Kent
Modified: 2010-11-11 14:34 UTC (History)
5 users (show)

Fixed In Version: autofs-5.0.5-23.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 576775
Environment:
Last Closed: 2010-11-11 14:34:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2010-05-31 04:35:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 yanfu,wang 2010-07-23 07:47:04 UTC
build patch confirmed:
%changelog
* Thu Jul 1 2010 Ian Kent <ikent@redhat.com> - 5.0.5-23
- bz597944 - autofs5: segfault in close_mount()
  - add mutex to serialize access to mount module handle in parse module.
  - dont check null cache on expire.
  - fix null cache race.
  - fix cache_init() on source re-read.
  - fold autofs-5.0.5-fix-memory-leak-on-reload.patch into
    fix cache_init() on source re-read patch where it belongs.
...
Patch29: autofs-5.0.5-fix-parse_sun-module-init.patch
Patch30: autofs-5.0.5-dont-check-null-cache-on-expire.patch
Patch31: autofs-5.0.5-fix-null-cache-race.patch
Patch32: autofs-5.0.5-fix-cache_init-on-source-re-read.patch
...
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
# rpmbuild -bp SPECS/autofs.spec

regression jobs link:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=167723
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=167724
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=167725
the failure is expected.

Comment 4 releng-rhel@redhat.com 2010-11-11 14:34:12 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.